Bug 1422969 - [abrt] WARNING: CPU: 2 PID: 0 at drivers/net/wireless/ralink/rt2x00/rt2800lib.c:970 rt2800_update_beacons_setup+0x16a/0x190 [rt2800lib]
Summary: [abrt] WARNING: CPU: 2 PID: 0 at drivers/net/wireless/ralink/rt2x00/rt2800lib...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7364a796efc5c4d4e8f63f009c8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-16 16:50 UTC by rockonthemoonfm
Modified: 2019-01-09 12:54 UTC (History)
9 users (show)

Fixed In Version: kernel-4.9.11-200.fc25 kernel-4.9.12-100.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-27 22:49:35 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (92.73 KB, text/plain)
2017-02-16 16:50 UTC, rockonthemoonfm
no flags Details

Description rockonthemoonfm 2017-02-16 16:50:20 UTC
Description of problem:
Probably toggling on/off airplane mode after resuming from suspend

Additional info:
reporter:       libreport-2.8.0
WARNING: CPU: 2 PID: 0 at drivers/net/wireless/ralink/rt2x00/rt2800lib.c:970 rt2800_update_beacons_setup+0x16a/0x190 [rt2800lib]
Modules linked in: bnep ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_nat_proto_gre nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ccm ppp_deflate bsd_comp ppp_async ppp_generic slhc option usb_wwan uas usb_storage bluetooth fuse nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_security ip6table_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_security iptable_mangle ebtable_filter ebtables ip6table_filter
 ip6_tables vfat fat snd_hda_codec_realtek uvcvideo videobuf2_vmalloc snd_hda_codec_generic snd_hda_codec_hdmi videobuf2_memops videobuf2_v4l2 snd_hda_intel videobuf2_core snd_hda_codec iTCO_wdt videodev media snd_hda_core asus_nb_wmi asus_wmi sparse_keymap iTCO_vendor_support arc4 rt2800pci rt2800mmio rt2800lib rtsx_usb_ms memstick rt2x00pci rt2x00mmio rt2x00lib snd_hwdep snd_seq snd_seq_device mac80211 cfg80211 snd_pcm intel_rapl eeprom_93cx6 x86_pkg_temp_thermal intel_powerclamp coretemp rfkill kvm irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore intel_rapl_perf snd_timer snd joydev soundcore wmi i2c_designware_platform snd_soc_sst_acpi i2c_designware_core dw_dmac lpc_ich shpchp snd_soc_sst_match asus_wireless int3402_thermal int3400_thermal processor_thermal_device
 int340x_thermal_zone int3406_thermal tpm_crb mei_me mei intel_soc_dts_iosf spi_pxa2xx_platform acpi_thermal_rel intel_pch_thermal acpi_pad i2c_i801 i2c_smbus tpm_tis tpm_tis_core tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc rtsx_usb_sdmmc rtsx_usb i915 i2c_algo_bit drm_kms_helper drm 8021q garp crc32c_intel stp llc mrp serio_raw r8169 mii sdhci_acpi sdhci mmc_core video fjes
CPU: 2 PID: 0 Comm: swapper/2 Not tainted 4.9.8-201.fc25.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. X555LAB/X555LAB, BIOS X555LAB.601 05/05/2016
 ffff91a9d6d03d10 ffffffffa13f442d 0000000000000000 0000000000000000
 ffff91a9d6d03d50 ffffffffa10a202b 000003ca00000054 ffff91a8ee9d5780
 0000000000000001 ffff91a9d09995c0 0000000000000000 ffff91a8ee9d5780
Call Trace:
 <IRQ> 
 [<ffffffffa13f442d>] dump_stack+0x63/0x86
 [<ffffffffa10a202b>] __warn+0xcb/0xf0
 [<ffffffffa10a215d>] warn_slowpath_null+0x1d/0x20
 [<ffffffffc07aa85a>] rt2800_update_beacons_setup+0x16a/0x190 [rt2800lib]
 [<ffffffffc07aa9df>] rt2800_write_beacon+0x15f/0x240 [rt2800lib]
 [<ffffffffc06e72f7>] rt2x00queue_update_beacon+0xd7/0x100 [rt2x00lib]
 [<ffffffffc06e3000>] ? 0xffffffffc06e3000
 [<ffffffffc06e3030>] rt2x00lib_beaconupdate_iter+0x30/0x60 [rt2x00lib]
 [<ffffffffc07f6c06>] __iterate_interfaces+0xa6/0x100 [mac80211]
 [<ffffffffc07f6c71>] ieee80211_iterate_active_interfaces_atomic+0x11/0x20 [mac80211]
 [<ffffffffc06e3f7d>] rt2x00lib_pretbtt+0x2d/0x30 [rt2x00lib]
 [<ffffffffc087ea22>] rt2800mmio_pretbtt_tasklet+0x12/0x60 [rt2800mmio]
 [<ffffffffa10a7e1e>] tasklet_hi_action+0x5e/0x100
 [<ffffffffa1820c2c>] __do_softirq+0x10c/0x2a2
 [<ffffffffa10a84af>] irq_exit+0xff/0x110
 [<ffffffffa1820974>] do_IRQ+0x54/0xd0
 [<ffffffffa181e80c>] common_interrupt+0x8c/0x8c
 <EOI> 
 [<ffffffffa16a92e2>] ? cpuidle_enter_state+0x122/0x2c0
 [<ffffffffa16a94b7>] cpuidle_enter+0x17/0x20
 [<ffffffffa10e7863>] call_cpuidle+0x23/0x40
 [<ffffffffa10e7adb>] cpu_startup_entry+0x15b/0x240
 [<ffffffffa104a614>] start_secondary+0x154/0x190

Comment 1 rockonthemoonfm 2017-02-16 16:50:51 UTC
Created attachment 1250909 [details]
File: dmesg

Comment 2 Stanislaw Gruszka 2017-02-18 18:42:38 UTC
This warning was not correct and it was removed in -next kernel (scheduled to 4.11)

https://git.kernel.org/cgit/linux/kernel/git/kvalo/wireless-drivers-next.git/commit/?id=feecb0cb466ba458f59640b4d59ecef1cd956b1f

Comment 3 Laura Abbott 2017-02-20 17:49:06 UTC
I pulled the fix into 4.9.11.

Comment 4 Fedora Update System 2017-02-22 15:09:35 UTC
kernel-4.9.11-200.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-14e693580c

Comment 5 Fedora Update System 2017-02-22 15:10:37 UTC
kernel-4.9.11-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f53be9dcde

Comment 6 Fedora Update System 2017-02-23 22:22:44 UTC
kernel-4.9.11-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f53be9dcde

Comment 7 Fedora Update System 2017-02-23 23:20:51 UTC
kernel-4.9.11-200.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-14e693580c

Comment 8 Fedora Update System 2017-02-24 15:25:10 UTC
kernel-4.9.12-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b9f61c68d

Comment 9 Fedora Update System 2017-02-24 22:50:41 UTC
kernel-4.9.11-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-02-25 00:54:18 UTC
kernel-4.9.12-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b9f61c68d

Comment 11 Fedora Update System 2017-02-27 22:49:35 UTC
kernel-4.9.12-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.